svn commit: r341514 - in head: . sys/conf

Alex Richardson arichardson at FreeBSD.org
Wed Dec 5 10:57:58 UTC 2018


Author: arichardson
Date: Wed Dec  5 10:57:57 2018
New Revision: 341514
URL: https://svnweb.freebsd.org/changeset/base/341514

Log:
  Fix newvers.sh with BUILD_WITH_STRICT_TMPPATH=1
  
  newvers.sh runs mkfifo which did not exist before this change.
  However, I didn't notice before because it is run from a function
  where a missing command does cause a noticeable failure.
  
  Reviewed By:	emaste, markj
  Differential Revision: https://reviews.freebsd.org/D18377

Modified:
  head/Makefile.inc1
  head/sys/conf/newvers.sh

Modified: head/Makefile.inc1
==============================================================================
--- head/Makefile.inc1	Wed Dec  5 10:30:53 2018	(r341513)
+++ head/Makefile.inc1	Wed Dec  5 10:57:57 2018	(r341514)
@@ -2215,6 +2215,8 @@ _basic_bootstrap_tools+=usr.bin/ldd
 _basic_bootstrap_tools+=usr.sbin/services_mkdb usr.sbin/pwd_mkdb
 # sysctl/chflags are required for installkernel:
 _basic_bootstrap_tools+=sbin/sysctl bin/chflags
+# mkfifo is used by sys/conf/newvers.sh
+_basic_bootstrap_tools+=usr.bin/mkfifo
 
 .if ${MK_AMD} != "no"
 # unifdef is only used by usr.sbin/amd/libamu/Makefile

Modified: head/sys/conf/newvers.sh
==============================================================================
--- head/sys/conf/newvers.sh	Wed Dec  5 10:30:53 2018	(r341513)
+++ head/sys/conf/newvers.sh	Wed Dec  5 10:57:57 2018	(r341514)
@@ -86,7 +86,7 @@ git_tree_modified()
 	local fifo
 
 	fifo=$(mktemp -u)
-	mkfifo -m 600 $fifo
+	mkfifo -m 600 $fifo || exit 1
 	$git_cmd --work-tree=${VCSTOP} diff-index HEAD > $fifo &
 	while read smode dmode ssha dsha status file; do
 		if ! expr $dsha : '^00*$' >/dev/null; then


More information about the svn-src-head mailing list